# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Name:		perl-YAML-Syck
Version:	1.20
Release:	1.%{__distinit}%{__distvers}
Summary:	Fast, lightweight YAML loader and dumper
License:	BSD and MIT
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/YAML-Syck/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/YAML-Syck-%{version}.tar.gz
Patch0:		YAML-Syck-1.19-regress.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Devel::Leak)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides a Perl interface to the libsyck data serialization
library. It exports the Dump and Load functions for converting Perl data
structures to YAML strings, and the other way around.

%prep
%setup -q -n YAML-Syck-%{version}

# Fix for Perl RT#102606 breaks t/leak.t with Perl < 5.10.0
%if %(perl -e 'print $] >= 5.010000 ? 0 : 1;')
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COMPATIBILITY COPYING README
%{perl_vendorarch}/auto/YAML/
%{perl_vendorarch}/YAML/
%{perl_vendorarch}/JSON/
%{_mandir}/man3/JSON::Syck.3pm*
%{_mandir}/man3/YAML::Syck.3pm*

%changelog
* Wed Feb 15 2012 Paul Howarth <paul@city-fan.org> 1.20-1
- Update to 1.20
  - Add test to assure META.yml is up to date before release
  - Disable check for empty file handle in LoadFile calls (CPAN RT#70933)
  - Remove call to non-existent code YAML::Syck::_is_openhandle
  - Compiling with -Werror=format-security failed (CPAN RT#74785)
- This release by TODDR -> update source URL

* Tue Nov  8 2011 Paul Howarth <paul@city-fan.org> 1.19-1
- Update to 1.19
  - Do not run t/leak.t on perls prior to 5.8.9 as 5.8.8 and Devel::Leak
    apparently do not mix (Perl RT #102606)
- Add patch to reinstate t/leak.t on old perls, as it works just fine with our
  patch for 1.18

* Sun Nov  6 2011 Paul Howarth <paul@city-fan.org> 1.18-1
- Update to 1.18
  - Break YAML::Syck dependency on Scalar::Util
  - Only lvalue subroutines are supposed to return the argument to "return"
    without copying it; stop relying on a pre-5.15 bug (Perl RT#102606)
- Add patch to revert fix for Perl RT#102606 with Perl < 5.10.0, as it breaks
  t/leak.t
- This release by SMUELLER -> update source URL

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> 1.17-3
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> 1.17-1
- Update to 1.17
  - Change a C99 comment to a C89 comment
  - Upgrade ppport.h from 3.13 to 3.19
  - Remove inc/Test/Builder/IO/Scalar.pm from MANIFEST
  - POD formatting fixes contributed by Justin Hunter

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> 1.15-2
- Rebuild for gcc bug (#634757)

* Fri Sep 24 2010 Paul Howarth <paul@city-fan.org> 1.15-1
- Update to 1.15 (fix test breakage in 5.13.5 onwards due to changes in the
  way regexes are stringified - Perl RT#78008)
- This release by AVAR -> update source URL

* Fri Aug 27 2010 Paul Howarth <paul@city-fan.org> 1.14-1
- Update to 1.14
  - Quoting fixes for JSON with numbers (CPAN RT#60771)
  - Add YAML tests to make sure HEX and octal preserve their information

* Thu Aug  5 2010 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12
  - Make tie test a TODO test
- Drop patch for tie test (CPAN RT#60064), no longer needed

* Wed Aug  4 2010 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
  - Test load of in-memory file handles
  - Perl 5.8 required to YAML-ify code refs
  - Perl 5.6 requires {} to print to a scalar GLOB
  - Use SvNIOK to test for int or float if we know it's not a string
  - Skip failing tie test on perl < 5.8.8 && perl >= 5.7.0x
  - Fix CPAN RT#23850 - parse META.yml of DateTime::Format::Japanese 0.01
  - Fix CPAN RT#34073 - TODO Tests - Parsing YAML without separator
  - Fix CPAN RT#20969 - document die behavior differences with YAML
  - Fix CPAN RT#23909 - loaded self-referring document is corrupted
  - Fix CPAN RT#50227 - logic bug in deciding what numbers to quote
  - Fix CPAN RT#59458 - convert \%%d to \%%ld to prevent compiler warnings
  - Fix CPAN RT#50227 - string quoting issue
  - Fix CPAN RT#48327 - use 3-arg form of open()
  - Fix CPAN RT#59432 - use lexical file handles for read/write to files
  - Fix CPAN RT#37236 - re-enable JSON-basic tests for JSON >= 2.11
  - Fix CPAN RT#47944 - backquote is a reserved character
  - Fix CPAN RT#36288 - ability to disable blessing data structures on load
  - LoadFile aborts loading an empty file
  - Add TODO tests for noted deficiencies in RT #'s 26182, 54780, 49404, 42390
  - Add TODO tests for CPAN RT#52432 - '... X' breaks round trip
  - Tone down the WARNING section in YAML::Syck's documentation added in 1.08
- This release by TODDR -> update source URL
- Add patch for failing tie test on perl 5.8.8 (CPAN RT#60064)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1.10-2
- Rebuild for perl 5.12.1 in Rawhide

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> 1.10-1
- Update to 1.10 (bump Module::Install to 0.99)
- Drop patch for Module::Install breakage, no longer needed

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> 1.09-1
- Update to 1.09
  - Reset the hash iterator after dumping hashes (CPAN #54167, CPAN RT #34166)
  - Only print compat warning if 0.60 or earlier installed (CPAN RT #39572)

* Mon May 24 2010 Paul Howarth <paul@city-fan.org> 1.08-1
- Update to 1.08
  - POD link to JSON::XS from JSON::Syck
  - Add warning in YAML::Syck pod that the module is abandonware
  - Strings starting with : are now always quoted
  - Upgrade from Module::Install 0.68 to 0.97
  - Bump included Test::More dependency
  - Remove included inc/attributes.pm dependency
  - Add homepage, bugtracker, and repository metadata to META.yml
  - Bump perl dependency from 5.00307 to 5.006
- This release by AVAR -> update source URL
- Patch bundled Module::Install to work with perl < 5.9.1

* Wed May 12 2010 Paul Howarth <paul@city-fan.org> 1.07-5
- Fix dist tag for RHEL-6 Beta

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> 1.07-4
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 1.07-3
- Rebuild against perl 5.10.1

* Tue Oct  6 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.07-2
- Fix license

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.07-1
- Auto-update to 1.07 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 09 2008 Steven Pritchard <steve@kspei.com> 1.05-1
- Update to 1.05

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.04-2
- Rebuild for new perl (again)

* Wed Feb 20 2008 Steven Pritchard <steve@kspei.com> 1.04-1
- Update to 1.04

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.01-3
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.01-2
- Rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1.01-1
- Update to 1.01

* Tue Oct 16 2007 Steven Pritchard <steve@kspei.com> 0.98-1
- Update to 0.98

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> 0.97-1
- Update to 0.97

* Sun Aug 12 2007 Steven Pritchard <steve@kspei.com> 0.96-1
- Update to 0.96

* Fri Aug 03 2007 Steven Pritchard <steve@kspei.com> 0.95-1
- Update to 0.95

* Fri Jul 13 2007 Steven Pritchard <steve@kspei.com> 0.94-1
- Update to 0.94

* Wed Jun 27 2007 Steven Pritchard <steve@kspei.com> 0.91-1
- Update to 0.91

* Sat May 19 2007 Steven Pritchard <steve@kspei.com> 0.85-1
- Update to 0.85

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.82-3
- Add perl split BR's

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.82-2
- Bump

* Thu Feb 01 2007 Steven Pritchard <steve@kspei.com> 0.82-1
- Specfile autogenerated by cpanspec 1.69.1
- Remove explicit build dependency on perl
- Include JSON module
- BR Devel::Leak (for tests)
